PHP Manual
Prev |  | Next

# DOMDocument->loadXML()

(no version information, might be only in CVS)

DOMDocument->loadXML() -- Load XML from a string

## Description

class DOMDocument {
bool loadXML ( string source [, int options] )
}

Loads an XML document from a string.

This method may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

source

  The string containing the XML.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Creating a Document
`<?php $doc = DOMDocument::loadXML('<root><node/></root>'); echo $doc->saveXML(); $doc = new DOMDocument(); $doc->loadXML('<root><node/></root>'); echo $doc->saveXML(); ?>`

## See Also

DOMDocument->load()
DOMDocument->save()
DOMDocument->saveXML()

Prev | Home | Next
DOMDocument->loadHTMLFile() | Up | DOMDocument->normalize()